Package org.kapott.hbci.GV.generators

## Class GenKUmsAllCamt05200107

- java.lang.Object
- - org.kapott.hbci.GV.generators.AbstractSEPAGenerator<java.util.List<GVRKUms.BTag>>
  - - org.kapott.hbci.GV.generators.GenKUmsAllCamt05200107

All Implemented Interfaces:
  `ISEPAGenerator<java.util.List<GVRKUms.BTag>>`

    public class GenKUmsAllCamt05200107
    extends AbstractSEPAGenerator<java.util.List<GVRKUms.BTag>>

Generator fuer CAMT-Dateien im Format CAMT052.001.07

### Field Summary

### Fields inherited from interface org.kapott.hbci.GV.generators.ISEPAGenerator

`ENCODING`

### Constructor Summary

Constructors
`GenKUmsAllCamt05200107()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generate​(java.util.List<GVRKUms.BTag> source, java.io.OutputStream os, boolean validate)` Schreibt den Job als SEPA-XML in den Stream.

### Methods inherited from class org.kapott.hbci.GV.generators.AbstractSEPAGenerator

`getSepaVersion, marshal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenKUmsAllCamt05200107

    public GenKUmsAllCamt05200107()

### Method Detail

#### generate

    public void generate​(java.util.List<GVRKUms.BTag> source,
                         java.io.OutputStream os,
                         boolean validate)
                  throws java.lang.Exception

Description copied from interface: `ISEPAGenerator`
Schreibt den Job als SEPA-XML in den Stream.

Parameters:
  `source` - die zu generierenden Daten. Urspruenglich wurde hier direkt eine Instanz von "AbstractSEPAGV" uebergeben und dort job.getSEPAParam($targetname(ohne "sepa.") aufgerufen. Das hatte jedoch den Nachteil, dass fuer die Instanziierung eines "AbstractSEPAGV" (welche von "HBCIJobImpl" abgeleitet ist) ein HBCIHandler erforderlicher. Der erfordert jedoch einen initialisierten und geoeffneten Passport, was wiederrum bedeutet, dass das SEPA-XML nur innerhalb eines HBCI-Dialogs erzeugt werden kann. Schon allein zur besseren Testbarkeit sollte sich das XML jedoch auch ohne HBCI-Initialisierung erstellen lassen. Daher werden hier nur noch die Properties uebergeben aus denen sich der SEPA-Generator dann anhand der Parameternamen bedient.
  `os` - der Stream.
  `validate` - true, wenn das erzeugte XML gegen das PAIN-Schema validiert werden soll.
Throws:
  `java.lang.Exception`
See Also:
  `ISEPAGenerator.generate(java.lang.Object, java.io.OutputStream, boolean)`